import { WebDisplayDensityBaseElementDescription } from "./WebDisplayDensityBaseElementDescription";
import { Type } from "./type";
import { Description } from "./Description";
import { WebActionStripResourceStringsDescription } from "./WebActionStripResourceStringsDescription";
import { WebGridActionButtonDescription } from "./WebGridActionButtonDescription";
/**
 * @hidden
 */
export declare class WebActionStripDescription extends WebDisplayDensityBaseElementDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private s;
    get context(): any;
    set context(a: any);
    private m;
    get actionButtons(): WebGridActionsBaseDirectiveDescription[];
    set actionButtons(a: WebGridActionsBaseDirectiveDescription[]);
    private q;
    get hidden(): boolean;
    set hidden(a: boolean);
    private o;
    get resourceStrings(): WebActionStripResourceStringsDescription;
    set resourceStrings(a: WebActionStripResourceStringsDescription);
    private u;
    get name(): string;
    set name(a: string);
}
/**
 * @hidden
 */
export declare class WebGridActionsBaseDirectiveDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private h;
    get buttons(): WebGridActionButtonDescription[];
    set buttons(a: WebGridActionButtonDescription[]);
    private l;
    get asMenuItems(): boolean;
    set asMenuItems(a: boolean);
    private j;
    get strip(): WebActionStripDescription;
    set strip(a: WebActionStripDescription);
    private n;
    get name(): string;
    set name(a: string);
}
